### Method

# EBookContacts SourceBackendSummarySetup get_indexed_fields

since: 3.8

#### Declaration [src]

    EContactField*
    e_source_backend_summary_setup_get_indexed_fields (
      ESourceBackendSummarySetup* extension,
      EBookIndexType** types,
      gint* n_fields
    )

#### Description [src]

Fetches the `EContactFields` configured to be indexed, with thier respective `EBookIndexTypes`.

Available since: 3.8

Gets property | `EBookContacts.SourceBackendSummarySetup:indexed-fields`

#### Parameters

`types`

  Type: `EBookIndexType`

  A return location for the set of `EBookIndexTypes` corresponding to each returned field, should be freed with `g_free()` when no longer needed.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`n_fields`

  Type: `gint*`

  The number of elements in the returned arrays.

  The argument will be set by the function.

#### Return value

Type: `EContactField`

The array of indexed `EContactFields`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.